commit:     605363342427d5b9dddc04bbfda7145c39ff0aa8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 03:22:15 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 14 03:23:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=60536334

sys-kernel/raspberrypi-image: bump to 5.10.11_p20210201 (unkeyworded)

No keywords for now until boot test given.

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-kernel/raspberrypi-image/Manifest              |  1 +
 .../raspberrypi-image-5.10.11_p20210201.ebuild     | 43 ++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/sys-kernel/raspberrypi-image/Manifest 
b/sys-kernel/raspberrypi-image/Manifest
index 2d3543d359b..91fa34ba8ff 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -1,3 +1,4 @@
 DIST raspberrypi-firmware-1.20190925.tar.gz 185571086 BLAKE2B 
c3a9b2760fa853fbd1dd09bc4048c9e78594f88da5af608c3a761554d4046a4c869db8981c64140a24e82e0a61b8dc776bb8d895df60c6424e44780f78b18cb0
 SHA512 
4b7b29cc6c2a33d7a37987c492034d9afbb2220364c50cf265e0adf8e5f393c2275dcffaa77c89b3f43b2e98d199741b67590cb60ff8beae8ef677852f63b4a0
 DIST raspberrypi-firmware-1.20201201.tar.gz 189332299 BLAKE2B 
b3ec91f07b4713d26c29be5412d018a220129eef7ddf7c5c09d85e645c2c5754a95f13be7e690ab40648a982e3974cc760aa5b33c76612da836227d38c4ee3a5
 SHA512 
a7f4591552718956bd7f2d0d377234277e2e6f18cc9714ea30fe13f26d5ae1164b982f39dcf72ae4a18663369ef06d0187d8182713763262371c13107aac4c65
+DIST raspberrypi-firmware-1.20210201.tar.gz 191785657 BLAKE2B 
7ef315411e3bc572515f9e60d953166056bd5dfe9afc496eda978dbbbd6f38aa12f1eaba72448bb72166d6bda1ec79e3e3e7c613f4202bc804784b566f118971
 SHA512 
13d899a103e8d3deb98a6fcca661f712b085935336fc31156e0b8ec5e3c71b373d3394777895ee1907cad9a2ca3efd1a66995ff6df3429c732b002d9ad603414
 DIST raspberrypi-image-4.14.98_p20190215.tar.gz 123074917 BLAKE2B 
cefedb5c979db7dfd47938aad37a567d91d3ad78247c7a63f789362768ab7a39a1967ac116b4b0475e3b210ab11f6474706df042af85a622e8e7905c85ec7498
 SHA512 
082f26caf427222d838881e5f1e9fa0136765b3eaf74a84877fc33616fd07e49085db0889226c40c655039a9d41a10566510c7d752cfc48a67b4683616a51193

diff --git 
a/sys-kernel/raspberrypi-image/raspberrypi-image-5.10.11_p20210201.ebuild 
b/sys-kernel/raspberrypi-image/raspberrypi-image-5.10.11_p20210201.ebuild
new file mode 100644
index 00000000000..26d80041afd
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-5.10.11_p20210201.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit mount-boot
+
+DESCRIPTION="Raspberry Pi (all versions) kernel and modules"
+HOMEPAGE="https://github.com/raspberrypi/firmware";
+LICENSE="GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+RESTRICT="binchecks strip"
+
+# Temporary safety measure to prevent ending up with a pair of
+# sys-kernel/raspberrypi-image and sys-boot/raspberrypi-firmware
+# both of which installed device tree files.
+# Restore to simply "sys-boot/raspberrypi-firmware" when the mentioned version
+# and all older ones are deleted.
+RDEPEND=">sys-boot/raspberrypi-firmware-1.20190709"
+
+if [[ "${PV}" == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/raspberrypi/firmware";
+       EGIT_CLONE_TYPE="shallow"
+else
+       [[ "$(ver_cut 4)" == 'p' ]] || die "Unsupported version format, tweak 
the ebuild."
+       MY_PV="1.$(ver_cut 5)"
+       
SRC_URI="https://github.com/raspberrypi/firmware/archive/${MY_PV}.tar.gz -> 
raspberrypi-firmware-${MY_PV}.tar.gz"
+       S="${WORKDIR}/firmware-${MY_PV}"
+       KEYWORDS=""
+       # No keywords until I can give it a boot test
+       #KEYWORDS="-* ~arm ~arm64"
+fi
+
+src_install() {
+       insinto /lib/modules
+       doins -r modules/*
+       insinto /boot
+       doins boot/*.img
+
+       doins boot/*.dtb
+       doins -r boot/overlays
+}

Reply via email to